/*  Header file for parsimony.c                            */

/*  Parsimony tree length calculator                       */
/*  (c) Copyright 2000, Andrew Rambaut                     */
/*  Department of Zoology, University of Oxford            */


#ifndef _PARSIMONY_H_
#define _PARSIMONY_H_

#include "tree.h"

/* prototypes */

long GetNumInformativeSites(char **sequences, long *outNumPolymorphicSites, int twoStates);
long GetNumInformativeSitesOnTree(TTree *tree, long *outNumPolymorphicSites, int twoStates);
long CalcTreeLength(TTree *tree);

#endif /* _PARSIMONY_H_ */
